PHP 5.3 PCRE_EXEC APC Error [Resolved)

I just recently ran into some issues with my Linode virtual private server after my last PHP (Nginx/Php-Fpm) update.  I started getting the following error:

PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/lib/php/modules/apc.so’ – /usr/lib/php/modules/apc.so: undefined symbol: pcre_exec in Unknown on line 0

I also received the same error on my other Linode in Japan last month before I shut it down.  It seems that there was an issue with the APC module in PHP-5.3.

The solution, turns out that you can fix this error by a simple update of PHP 5.3 to PHP 5.4.  I use the CentOS REMI repository but you will need to enable the REMI-TEST repository to get the latest PHP 5.4 update.  Go to this website for more information on how to do this:

http://tuxawy.wordpress.com/2012/07/21/install-nginxphp-fpm-on-fedora-1716-centosrhel-6-25-8/

After the upgrade, everything seems to be resolved.  Hopefully my server will not need a reboot every 18-20 hours now.

%d bloggers like this: